import time

from DB import DBVidcon, DBSA
from report_video import DailymotionClient
import logger

db = DBVidcon()
d = DailymotionClient()

k = {
    "open":1,
    "solved":2,
    "awaiting your reply":3,
}
while True:
    lis = db.get_report_video()
    if len(lis) == 0:
        time.sleep(60 * 5)
    else:
        for li in lis:
            logger.logger.info(f"name:{li['name_title']},link:{li['link']} ")
            try:
                info,report_id,status,report_ts, = d.process_ticket(li['name_title'], li['link'])
                subsequent_status = k.get(status, 1)
                db.update_fight_record_status(li['id'],report_id, 2, f"http://123.58.197.91:5000/image/{info}", report_ts, subsequent_status)
                db.flush()
                time.sleep(5 * 60)
            except Exception as e:
                logger.logger.error(f"ID:{li['id']}, e:{e}")
                db.update_fight_record_status(li['id'], 3, str(e))
                time.sleep(1 * 60)
